

#ifndef SBK_KJOBWIDGETS_PYTHON_H
#define SBK_KJOBWIDGETS_PYTHON_H

//workaround to access protected functions
#define protected public

#include <sbkpython.h>
#include <sbkmodule.h>
#include <sbkconverter.h>
// Module Includes
#include <pyside6_qtcore_python.h>
#include <pyside6_qtwidgets_python.h>
#include <pyside6_qtgui_python.h>
#include <kcoreaddons_python.h>

// Bound library includes
#include <kabstractwidgetjobtracker.h>
#include <kdialogjobuidelegate.h>
#include <knotificationjobuidelegate.h>
#include <kstatusbarjobtracker.h>
#include <kuiserverjobtracker.h>
#include <kuiserverv2jobtracker.h>
#include <kwidgetjobtracker.h>
// Conversion Includes - Primitive Types
#include <QAnyStringView>
#include <qbytearrayview.h>
#include <qchar.h>
#include <QtCore/qlatin1stringview.h>
#include <QString>
#include <QStringList>
#include <QStringView>

// Conversion Includes - Container Types
#include <QHash>
#include <QList>
#include <QMap>
#include <QMultiHash>
#include <QMultiMap>
#include <QPair>
#include <QQueue>
#include <QSet>
#include <QStack>
#include <array>
#include <list>
#include <map>
#include <utility>
#include <unordered_map>
#include <vector>


// Type indices
enum [[deprecated]] : int {
    SBK_KABSTRACTWIDGETJOBTRACKER_IDX                        = 0,
    SBK_KDIALOGJOBUIDELEGATE_IDX                             = 2,
    SBK_KNOTIFICATIONJOBUIDELEGATE_IDX                       = 4,
    SBK_KSTATUSBARJOBTRACKER_STATUSBARMODE_IDX               = 8,
    SBK_QFLAGS_KSTATUSBARJOBTRACKER_STATUSBARMODE_IDX        = 16,
    SBK_KSTATUSBARJOBTRACKER_IDX                             = 6,
    SBK_KUISERVERJOBTRACKER_IDX                              = 10,
    SBK_KUISERVERV2JOBTRACKER_IDX                            = 12,
    SBK_KWIDGETJOBTRACKER_IDX                                = 14,
    SBK_KJOBWIDGETS_IDX_COUNT                                = 18,
};

// Type indices
enum : int {
    SBK_KAbstractWidgetJobTracker_IDX                        = 0,
    SBK_KDialogJobUiDelegate_IDX                             = 1,
    SBK_KNotificationJobUiDelegate_IDX                       = 2,
    SBK_KStatusBarJobTracker_StatusBarMode_IDX               = 4,
    SBK_QFlags_KStatusBarJobTracker_StatusBarMode_IDX        = 8,
    SBK_KStatusBarJobTracker_IDX                             = 3,
    SBK_KUiServerJobTracker_IDX                              = 5,
    SBK_KUiServerV2JobTracker_IDX                            = 6,
    SBK_KWidgetJobTracker_IDX                                = 7,
    SBK_KJobWidgets_IDX_COUNT                                = 9,
};

// This variable stores all Python types exported by this module.
extern Shiboken::Module::TypeInitStruct *SbkKJobWidgetsTypeStructs;

// This variable stores all Python types exported by this module in a backwards compatible way with identical indexing.
[[deprecated]] extern PyTypeObject **SbkKJobWidgetsTypes;

// This variable stores the Python module object exported by this module.
extern PyObject *SbkKJobWidgetsModuleObject;

// This variable stores all type converters exported by this module.
extern SbkConverter **SbkKJobWidgetsTypeConverters;

// Converter indices
enum [[deprecated]] : int {
    SBK_KJOBWIDGETS_QLIST_INT_IDX                            = 0, // QList<int>
    SBK_KJOBWIDGETS_STD_PAIR_QSTRING_QSTRING_IDX             = 2, // std::pair<QString,QString>
    SBK_KJOBWIDGETS_QLIST_QVARIANT_IDX                       = 4, // QList<QVariant>
    SBK_KJOBWIDGETS_QLIST_QSTRING_IDX                        = 6, // QList<QString>
    SBK_KJOBWIDGETS_QMAP_QSTRING_QVARIANT_IDX                = 8, // QMap<QString,QVariant>
    SBK_KJOBWIDGETS_CONVERTERS_IDX_COUNT                     = 10,
};

// Converter indices
enum : int {
    SBK_KJobWidgets_QList_int_IDX                            = 0, // QList<int>
    SBK_KJobWidgets_std_pair_QString_QString_IDX             = 1, // std::pair<QString,QString>
    SBK_KJobWidgets_QList_QVariant_IDX                       = 2, // QList<QVariant>
    SBK_KJobWidgets_QList_QString_IDX                        = 3, // QList<QString>
    SBK_KJobWidgets_QMap_QString_QVariant_IDX                = 4, // QMap<QString,QVariant>
    SBK_KJobWidgets_CONVERTERS_IDX_COUNT                     = 5,
};
// Macros for type check

QT_WARNING_PUSH
QT_WARNING_DISABLE_DEPRECATED
namespace Shiboken
{

// PyType functions, to get the PyObjectType for a type T
template<> inline PyTypeObject *SbkType< ::KAbstractWidgetJobTracker >() { return Shiboken::Module::get(SbkKJobWidgetsTypeStructs[SBK_KAbstractWidgetJobTracker_IDX]); }
template<> inline PyTypeObject *SbkType< ::KDialogJobUiDelegate >() { return Shiboken::Module::get(SbkKJobWidgetsTypeStructs[SBK_KDialogJobUiDelegate_IDX]); }
template<> inline PyTypeObject *SbkType< ::KNotificationJobUiDelegate >() { return Shiboken::Module::get(SbkKJobWidgetsTypeStructs[SBK_KNotificationJobUiDelegate_IDX]); }
template<> inline PyTypeObject *SbkType< ::KStatusBarJobTracker::StatusBarMode >() { return Shiboken::Module::get(SbkKJobWidgetsTypeStructs[SBK_KStatusBarJobTracker_StatusBarMode_IDX]); }
template<> inline PyTypeObject *SbkType< ::QFlags<KStatusBarJobTracker::StatusBarMode> >() { return Shiboken::Module::get(SbkKJobWidgetsTypeStructs[SBK_QFlags_KStatusBarJobTracker_StatusBarMode_IDX]); }
template<> inline PyTypeObject *SbkType< ::KStatusBarJobTracker >() { return Shiboken::Module::get(SbkKJobWidgetsTypeStructs[SBK_KStatusBarJobTracker_IDX]); }
template<> inline PyTypeObject *SbkType< ::KUiServerJobTracker >() { return Shiboken::Module::get(SbkKJobWidgetsTypeStructs[SBK_KUiServerJobTracker_IDX]); }
template<> inline PyTypeObject *SbkType< ::KUiServerV2JobTracker >() { return Shiboken::Module::get(SbkKJobWidgetsTypeStructs[SBK_KUiServerV2JobTracker_IDX]); }
template<> inline PyTypeObject *SbkType< ::KWidgetJobTracker >() { return Shiboken::Module::get(SbkKJobWidgetsTypeStructs[SBK_KWidgetJobTracker_IDX]); }

} // namespace Shiboken

QT_WARNING_POP
#endif // SBK_KJOBWIDGETS_PYTHON_H

